-- Deploy 0814-powerups:accomplishments/policies/select-shared-accomplishments to pg
-- requires: accomplishments/accomplishments

BEGIN;

\ir ../../../defaults.sql

create policy select_shared_accomplishments
on :"powerups_schema".powerup_accomplishments
for select
using (
  share_with_powerup
  and powerup_id in (
    select powerup_id
    from :"powerups_schema".my_powerup_subscriptions()
    where roles && '{member}'
  )
);

COMMIT;
