-- Deploy 0814-powerups:powerups/policies/select-my-recently-created-powerups to pg
-- requires: powerups/powerups
-- requires: 0814-tenants-and-users:users/my-account-id

BEGIN;

\ir ../../../defaults.sql

drop policy select_my_recently_created_powerups
on :"powerups_schema".powerups;

create policy select_my_recently_created_powerups
on :"powerups_schema".powerups
for all  -- to allow inserts
using (
  updated_by_id = :"id_schema".my_account_id()
  and created_at = current_timestamp
);

COMMIT;
