-- Deploy 0814-powerups:subscriptions/policies/manage-subscriptions-of-my-maintained-powerups to pg
-- requires: subscriptions/my-subscriptions

BEGIN;

\ir ../../../defaults.sql

create policy manage_subscriptions_of_my_maintained_powerups
on :"powerups_schema".powerup_subscriptions
using (
  powerup_id in (
    select powerup_id
    from :"powerups_schema".my_powerup_subscriptions()
    where array['maintainer']:::"powerups_schema".powerup_role[] <@ roles
  )
);

COMMIT;
