-- Deploy 0814-powerups:subscriptions/policies/subscribe-to-visible-powerups to pg
-- requires: powerups/powerups
-- requires: subscriptions/subscriptions

BEGIN;

\ir ../../../defaults.sql

create policy add_new_subscriptions
on :"powerups_schema".powerup_subscriptions
for all
using (
  powerup_id in (select id from :"powerups_schema".powerups)
  and user_id = :"id_schema".my_account_id()
  and created_at = current_timestamp
);

COMMIT;
