-- Deploy 0814-powerups:accomplishments/policies/manage-own-accomplishments to pg
-- requires: accomplishments/accomplishments

BEGIN;

\ir ../../../defaults.sql

create policy manage_own_accomplishments
on :"powerups_schema".powerup_accomplishments
for all  -- to allow inserts
using (
  actor_id = :"id_schema".my_account_id()
)
with check (
  powerup_id in (
    select powerup_id
    from :"powerups_schema".my_powerup_subscriptions()
    where roles && '{member, maintainer}'
  )
);

COMMIT;
