-- Deploy 0814-powerups:powerups/policies/manage-maintained-powerups to pg
-- requires: powerups/powerups
-- requires: subscriptions/my-subscriptions

BEGIN;

\ir ../../../defaults.sql

create policy manage_maintained_powerups
on :"powerups_schema".powerups
for all
using (id in (
  select powerup_id
  from :"powerups_schema".my_powerup_subscriptions()
  where roles && '{maintainer}'
));

COMMIT;
