-- Deploy 0814-powerups:powerups/policies/select-powerups-visible-to-members to pg
-- requires: powerups/powerups
-- requires: 0814-tenants-and-users:tenants/my-tenant-id

BEGIN;

\ir ../../../defaults.sql

create policy select_powerups_visible_to_members
on :"powerups_schema".powerups
for select
using (
  is_visible_to = 'members':::"powerups_schema".powerup_visibility
  and tenant_id = :"id_schema".my_tenant_id()
);

COMMIT;
