-- Deploy 0814-powerups:subscriptions/my-subscriptions to pg
-- requires: powerups/powerups
-- requires: subscriptions/subscriptions

BEGIN;

\ir ../../defaults.sql

create or replace function :"powerups_schema".my_powerup_subscriptions()
returns setof :"powerups_schema".powerup_subscriptions
as $$
  select *
  from powerup_subscriptions
  where "user_id" = my_account_id()
$$
language sql
stable
set search_path to :"powerups_schema", :"id_schema", public
security definer;

COMMIT;
