-- Deploy 0814-powerups:subscriptions/policies/show-peer-subscriptions to pg
-- requires: subscriptions/my-subscriptions

BEGIN;

\ir ../../../defaults.sql

create policy show_peer_subscriptions
on :"powerups_schema".powerup_subscriptions
for select
using (
  powerup_id in (
    select powerup_id
    from :"powerups_schema".my_powerup_subscriptions()
    where roles @> '{member}'
  )
);

COMMIT;
