begin;

create extension if not exists pgtap;
select plan(1);

\ir ../defaults.sql
\set freds_id 6aa7415a-a05f-11ec-be46-4ff04541c8c7
\set powerup_id eb1ddee2-a060-11ec-ba78-07b0b3884ec0
set local search_path to :'powerups_schema', :'id_schema', public;

select row_eq(
  format($$
    insert into users (id, username)
    values (%L, 'fred')
    returning id, username;
  $$, :'freds_id'),
  row(:'freds_id'::uuid, 'fred'::citext)
);

select set_config('jwt.claims.sub', :'freds_id', true);

rollback;